Planlagt opgradering medfører generering af ugyldige blokke

Hvis du ikke modtog dine bitcoins i transaktioner, der er bekræftet inden kl. 6.00, 6. juli 2015, er dine bitcoins muligvis ikke sikre. Et sikkerhedsproblem har fundet sted, hvor der i øjeblikket oprettes ugyldige blokke. Der er bestemt software, der er i stand til at opdage ugyldige blokke og afvise dem i overensstemmelse hermed, men der er noget software, der er utilstrækkelig til at håndtere denne aktuelle trussel, da de ikke er i stand til at opdage ugyldige blokke. Brugere af denne software modtager følgelig bekræftelser, der ikke er reelle.

I et stykke tid har stigende mængder minedrift hashhastigheder håndhævet BIP66 strenge DER-underskrifter. I henhold til BIP66-reglerne når øjeblikket 950 af de sidste 1.000 (95%) version 3 (v3) blokke nås, begynder alle opgraderede minearbejdere at afvise version 2 (v2) blokke. 950-niveauet blev nået den 4. juli 2015. Kort efter denne begivenhed udvindede en lille minearbejder, der udgjorde en del af de resterende 5%, en ugyldig blok. Selvom der er forventet minedrift af ugyldige blokke, blev det klart, at ca. 50% netværkshash-hastighed var minedrift uden fuldstændig validering af blokke (kaldet SPV-minedrift) og bygning af nye blokke oven på ugyldige blokke. Da ca. kun halvdelen af ​​SPV-minenettet angav, at de ville håndhæve BIP66-reglerne, har adskillige enorme minearbejdere indtil nu tabt mere end $ 50.000 i minindkomst.

Derfor er software, der har til opgave at afvise ugyldige blokke, nu en risiko for at afspejle transaktioner som bekræftet, når de teknisk set ikke er det. Letvægts (SPV) tegnebøger og bestemt software som ældre versioner af Bitcoin Core, som er blevet nedgraderet til SPV-niveau sikkerhed af de nye BIP66 konsensusregler, er i øjeblikket den mest risikogruppe.

I øjeblikket er den anbefalede handling, der skal tages, midlertidigt at få alle minearbejdere ud af SPV-minedrift og tilbage til fuld validering. Bitcoin.org kan følgelig reducere sin nuværende anbefaling om at vente på 30 ekstra bekræftelser. På grund af det faktum, at der opstod problemer med en planlagt opdatering, er bekræftelsesscore modtaget efter 6. juli 2015 meget mindre pålidelige, hvis du bruger følgende software:

  • Brugere af letvægts (SPV) tegnebog bør helst modtage yderligere 30 bekræftelser til det beløb, de normalt modtager;
  • Bitcoin Core 0.9.4 eller tidligere brugere skal enten opgradere til Bitcoin Core 0.10.2 eller helst modtage yderligere 30 bekræftelser til det beløb, de normalt modtager;
  • Brugere af web-tegnebogen bør fortrinsvis også modtage yderligere 30 bekræftelser til det beløb, de normalt modtager, medmindre du er helt sikker på, at din tegnebog er sikret med Bitcoin Core 0.9.5 eller en nyere version;
  • Brugere af Bitcoin Core 0.9.5 eller nyere er ikke berørt af dette, men det anbefales at opgradere til 0.10.2-versionen, da der kan være en denial-of-service-sårbarhed, der ikke er relateret til denne særlige alarm.

Det er vigtigt for minearbejdere, der samler mine, at sikre sig, at de er en del af en pool, der validerer blokke korrekt. Hvis du finder ud af, at din pool ikke gør dette, skal du straks skifte til en pool, der gør det. En liste, der indeholder mistanke om gode og / eller dårlige puljer, kan findes på siden Wiki Mining Pool Comparison. Hvis du foretrækker at solo mine, skal du skifte til Bitcoin Core 0.10.2 så hurtigt som muligt.

#Crypto ExchangeBenefits

1

Binance
Best exchange


VISIT SITE
  • ? The worlds biggest bitcoin exchange and altcoin crypto exchange in the world by volume.
  • Binance provides a crypto wallet for its traders, where they can store their electronic funds.

2

Coinbase
Ideal for newbies


Visit SITE
  • Coinbase is the largest U.S.-based cryptocurrency exchange, trading more than 30 cryptocurrencies.
  • Very high liquidity
  • Extremely simple user interface

3

eToro
Crypto + Trading

VISIT SITE
  • Multi-Asset Platform. Stocks, crypto, indices
  • eToro is the world’s leading social trading platform, with thousands of options for traders and investors.

Spørgsmålet på dette stadium er, om dette problem kan løses for at tingene kan ”gå tilbage til det normale”. Svaret på det er ja og nej. Bitcoin Core 0.9.5 såvel som dens senere versioner har altid været i stand til at opdage, om blokke er gyldige eller ej. Bitcoin Core 0.9.4 samt tidligere versioner indeholder imidlertid ikke de yderligere BIP66-konsensusregler og vil derfor ikke give det sikkerhedsniveau, som senere versioner af Bitcoin Core giver. Det anbefales derfor kraftigt, at du opgraderer for at du kan vende tilbage til fuld nodesikkerhed. Letvægts (SPV) tegnebøger er usikre, hvis der er modtaget mindre end 30 bekræftelser. Denne situation forbliver, indtil alle de større puljer er skiftet til fuld validering. Da web-tegnebøger er ekstremt forskellige i deres drift og håndtering af dobbeltudgifter, er det sikrere at antage, at de er på samme sikkerhedsniveau som de lette punge, der er beskrevet ovenfor, medmindre du er helt sikker på, at de bruger Bitcoin Core 0.9.5 eller en senere version til fuld validering.

En liste over ugyldige blokhash findes på Bitcoin Wiki.

Mike Owergreen Administrator
Sorry! The Author has not filled his profile.
follow me
Like this post? Please share to your friends:
Adblock
detector
map